File: 100000115.txt

package info (click to toggle)
snort 2.7.0-20.4
  • links: PTS
  • area: main
  • in suites: lenny
  • size: 34,512 kB
  • ctags: 18,772
  • sloc: ansic: 115,404; sh: 10,893; makefile: 1,372; perl: 487; sql: 213
file content (67 lines) | stat: -rw-r--r-- 1,164 bytes parent folder | download | duplicates (4)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
Rule: 

--
Sid: 
100000115

-- 
Summary: 
This event is generated when the PHP-Nuke program's Web_Links module is access 
with a NULL value for the CID parameter.

-- 

Impact: 
Sensitive path information may be disclosed, allowing an attacker to conduct 
reconnaissance against the affected host.

--
Detailed Information:
Queries made to PHP-Nuke's Web_Links module which omit the CID parameter, or 
which leave its value blank, will generate an error that discloses sensitive 
path information about the affected host.

--
Affected Systems:
PHP-Nuke 6.0
PHP-Nuke 6.5
PHP-Nuke 6.5 RC1
PHP-Nuke 6.5 RC2
PHP-Nuke 6.5 RC3
PHP-Nuke 6.5 BETA 1
PHP-Nuke 6.5 FINAL

--

Attack Scenarios: 
This vulnerability may be exploited with a web browser.
-- 

Ease of Attack: 
Simple, as example exploit URIs exist.

-- 

False Positives:
None Known.

--
False Negatives:
None Known.

-- 

Corrective Action: 
An unsupported fix exists at the URI referenced in the Additional References 
section. No vendor-supplied patch or workaround exists.

--
Contributors: 
Alex Kirk <alex.kirk@sourcefire.com>

-- 
Additional References:

http://www.securityfocus.com/archive/1/321313

--